Open CASCADE Technology: MAT2d_Tool2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MAT2d_Tool2d Class Reference

Set of the methods useful for the MAT's computation. Tool2d contains the geometry of the bisecting locus. More...

`#include <MAT2d_Tool2d.hxx>`

## Public Member Functions
| MAT2d_Tool2d ()
| Empty Constructor. More...
void | Sense (const MAT_Side aside)
| <aSide> defines the side of the computation of the map. More...
void | SetJoinType (const GeomAbs_JoinType aJoinType)
void | InitItems (const Handle< MAT2d_Circuit > &aCircuit)
| InitItems cuts the line in Items. this Items are the geometrics representations of the BasicElts from MAT. More...
Standard_Integer | NumberOfItems () const
| Returns the Number of Items . More...
Standard_Real | ToleranceOfConfusion () const
| Returns tolerance to test the confusion of two points. More...
Standard_Integer | FirstPoint (const Standard_Integer anitem, Standard_Real &dist)
| Creates the point at the origin of the bisector between anitem and the previous item. dist is the distance from the FirstPoint to <anitem>. Returns the index of this point in <theGeomPnts>. More...
Standard_Integer | TangentBefore (const Standard_Integer anitem, const Standard_Boolean IsOpenResult)
| Creates the Tangent at the end of the Item defined by <anitem>. Returns the index of this vector in <theGeomVecs> More...
Standard_Integer | TangentAfter (const Standard_Integer anitem, const Standard_Boolean IsOpenResult)
| Creates the Reversed Tangent at the origin of the Item defined by <anitem>. Returns the index of this vector in <theGeomVecs> More...
Standard_Integer | Tangent (const Standard_Integer bisector)
| Creates the Tangent at the end of the bisector defined by <bisector>. Returns the index of this vector in <theGeomVecs> More...
void | CreateBisector (const Handle< MAT_Bisector > &abisector)
| Creates the geometric bisector defined by <abisector>. More...
Standard_Boolean | TrimBisector (const Handle< MAT_Bisector > &abisector)
| Trims the geometric bisector by the <firstparameter> of <abisector>. If the parameter is out of the bisector, Return FALSE. else Return True. More...
Standard_Boolean | TrimBisector (const Handle< MAT_Bisector > &abisector, const Standard_Integer apoint)
| Trims the geometric bisector by the point of index <apoint> in <theGeomPnts>. If the point is out of the bisector, Return FALSE. else Return True. More...
Standard_Real | IntersectBisector (const Handle< MAT_Bisector > &bisectorone, const Handle< MAT_Bisector > &bisectortwo, Standard_Integer &intpnt)
| Computes the point of intersection between the bisectors defined by <bisectorone> and <bisectortwo> . If this point exists, <intpnt> is its index in <theGeomPnts> and Return the distance of the point from the bisector else Return <RealLast>. More...
Standard_Real | Distance (const Handle< MAT_Bisector > &abisector, const Standard_Real param1, const Standard_Real param2) const
| Returns the distance between the two points designed by their parameters on <abisector>. More...
void | Dump (const Standard_Integer bisector, const Standard_Integer erease) const
| displays informations about the bisector defined by <bisector>. More...
const Bisector_Bisec & | GeomBis (const Standard_Integer Index) const
| Returns the <Bisec> of index <Index> in <theGeomBisectors>. More...
Handle< Geom2d_Geometry > | GeomElt (const Standard_Integer Index) const
| Returns the Geometry of index <Index> in <theGeomElts>. More...
const gp_Pnt2d & | GeomPnt (const Standard_Integer Index) const
| Returns the point of index <Index> in the <theGeomPnts>. More...
const gp_Vec2d & | GeomVec (const Standard_Integer Index) const
| Returns the vector of index <Index> in the <theGeomVecs>. More...
Handle< MAT2d_Circuit > | Circuit () const
void | BisecFusion (const Standard_Integer Index1, const Standard_Integer Index2)
Bisector_Bisec & | ChangeGeomBis (const Standard_Integer Index)
| Returns the <Bisec> of index <Index> in <theGeomBisectors>. More...

## Detailed Description

Set of the methods useful for the MAT's computation. Tool2d contains the geometry of the bisecting locus.

## Constructor & Destructor Documentation

MAT2d_Tool2d::MAT2d_Tool2d | ( |  | ) |

Empty Constructor.

## Member Function Documentation

void MAT2d_Tool2d::BisecFusion | ( | const Standard_Integer | Index1,
|  | const Standard_Integer | Index2
| ) |  |

Bisector_Bisec& MAT2d_Tool2d::ChangeGeomBis | ( | const Standard_Integer | Index | ) |

Returns the <Bisec> of index <Index> in <theGeomBisectors>.

Handle< MAT2d_Circuit > MAT2d_Tool2d::Circuit | ( |  | ) | const

void MAT2d_Tool2d::CreateBisector | ( | const Handle< MAT_Bisector > & | abisector | ) |

Creates the geometric bisector defined by <abisector>.

Standard_Real MAT2d_Tool2d::Distance | ( | const Handle< MAT_Bisector > & | abisector,
|  | const Standard_Real | param1,
|  | const Standard_Real | param2
| ) |  | const

Returns the distance between the two points designed by their parameters on <abisector>.

void MAT2d_Tool2d::Dump | ( | const Standard_Integer | bisector,
|  | const Standard_Integer | erease
| ) |  | const

displays informations about the bisector defined by <bisector>.

Standard_Integer MAT2d_Tool2d::FirstPoint | ( | const Standard_Integer | anitem,
|  | Standard_Real & | dist
| ) |  |

Creates the point at the origin of the bisector between anitem and the previous item. dist is the distance from the FirstPoint to <anitem>. Returns the index of this point in <theGeomPnts>.

const Bisector_Bisec& MAT2d_Tool2d::GeomBis | ( | const Standard_Integer | Index | ) | const

Returns the <Bisec> of index <Index> in <theGeomBisectors>.

Handle< Geom2d_Geometry > MAT2d_Tool2d::GeomElt | ( | const Standard_Integer | Index | ) | const

Returns the Geometry of index <Index> in <theGeomElts>.

const gp_Pnt2d& MAT2d_Tool2d::GeomPnt | ( | const Standard_Integer | Index | ) | const

Returns the point of index <Index> in the <theGeomPnts>.

const gp_Vec2d& MAT2d_Tool2d::GeomVec | ( | const Standard_Integer | Index | ) | const

Returns the vector of index <Index> in the <theGeomVecs>.

void MAT2d_Tool2d::InitItems | ( | const Handle< MAT2d_Circuit > & | aCircuit | ) |

InitItems cuts the line in Items. this Items are the geometrics representations of the BasicElts from MAT.

Standard_Real MAT2d_Tool2d::IntersectBisector | ( | const Handle< MAT_Bisector > & | bisectorone,
|  | const Handle< MAT_Bisector > & | bisectortwo,
|  | Standard_Integer & | intpnt
| ) |  |

Computes the point of intersection between the bisectors defined by <bisectorone> and <bisectortwo> . If this point exists, <intpnt> is its index in <theGeomPnts> and Return the distance of the point from the bisector else Return <RealLast>.

Standard_Integer MAT2d_Tool2d::NumberOfItems | ( |  | ) | const

Returns the Number of Items .

void MAT2d_Tool2d::Sense | ( | const MAT_Side | aside | ) |

<aSide> defines the side of the computation of the map.

void MAT2d_Tool2d::SetJoinType | ( | const GeomAbs_JoinType | aJoinType | ) |

Standard_Integer MAT2d_Tool2d::Tangent | ( | const Standard_Integer | bisector | ) |

Creates the Tangent at the end of the bisector defined by <bisector>. Returns the index of this vector in <theGeomVecs>

Standard_Integer MAT2d_Tool2d::TangentAfter | ( | const Standard_Integer | anitem,
|  | const Standard_Boolean | IsOpenResult
| ) |  |

Creates the Reversed Tangent at the origin of the Item defined by <anitem>. Returns the index of this vector in <theGeomVecs>

Standard_Integer MAT2d_Tool2d::TangentBefore | ( | const Standard_Integer | anitem,
|  | const Standard_Boolean | IsOpenResult
| ) |  |

Creates the Tangent at the end of the Item defined by <anitem>. Returns the index of this vector in <theGeomVecs>

Standard_Real MAT2d_Tool2d::ToleranceOfConfusion | ( |  | ) | const

Returns tolerance to test the confusion of two points.

Standard_Boolean MAT2d_Tool2d::TrimBisector | ( | const Handle< MAT_Bisector > & | abisector | ) |

Trims the geometric bisector by the <firstparameter> of <abisector>. If the parameter is out of the bisector, Return FALSE. else Return True.

Standard_Boolean MAT2d_Tool2d::TrimBisector | ( | const Handle< MAT_Bisector > & | abisector,
|  | const Standard_Integer | apoint
| ) |  |

Trims the geometric bisector by the point of index <apoint> in <theGeomPnts>. If the point is out of the bisector, Return FALSE. else Return True.

The documentation for this class was generated from the following file:

- MAT2d_Tool2d.hxx